import { CoreConfig } from "../model/CoreConfig";
declare class RouteTopologyStore {
    private static readonly INITED;
    private static readonly TREE_ROUTES;
    private static readonly HORIZONTAL_ROUTES;
    /**
     * @description: 获取全局配置
     * @author ChenRui
     * @date 2020/12/17 16:16
     */
    get coreConfig(): Partial<CoreConfig>;
    get suffix(): string;
    set inited(inited: boolean);
    get inited(): boolean;
    set treeRoutes(treeRoutes: any);
    get treeRoutes(): any;
    set horizontalRoutes(horizontalRoutes: any);
    get horizontalRoutes(): any;
}
declare const routeTopologyStore: RouteTopologyStore;
export { routeTopologyStore };
